package com.ruoyi.ibs.list.service.impl;

import java.util.List;

import com.ruoyi.ibs.list.domain.SocialSecurity;
import com.ruoyi.ibs.list.mapper.SocialSecurityMapper;
import com.ruoyi.ibs.list.service.ISocialSecurityService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;


/**
 * 个人视图社保信息Service业务层处理
 * 
 * @author ruoyi
 * @date 2024-12-17
 */
@Service
public class SocialSecurityServiceImpl implements ISocialSecurityService
{
    @Autowired
    private SocialSecurityMapper socialSecurityMapper;

    /**
     * 查询个人视图社保信息
     * 
     * @param id 个人视图社保信息主键
     * @return 个人视图社保信息
     */
    @Override
    public SocialSecurity selectSocialSecurityById(Long id)
    {
        return socialSecurityMapper.selectSocialSecurityById(id);
    }

    /**
     * 查询个人视图社保信息列表
     * 
     * @param socialSecurity 个人视图社保信息
     * @return 个人视图社保信息
     */
    @Override
    public List<SocialSecurity> selectSocialSecurityList(SocialSecurity socialSecurity)
    {
        return socialSecurityMapper.selectSocialSecurityList(socialSecurity);
    }

    /**
     * 新增个人视图社保信息
     * 
     * @param socialSecurity 个人视图社保信息
     * @return 结果
     */
    @Override
    public int insertSocialSecurity(SocialSecurity socialSecurity)
    {
        return socialSecurityMapper.insertSocialSecurity(socialSecurity);
    }

    /**
     * 修改个人视图社保信息
     * 
     * @param socialSecurity 个人视图社保信息
     * @return 结果
     */
    @Override
    public int updateSocialSecurity(SocialSecurity socialSecurity)
    {
        return socialSecurityMapper.updateSocialSecurity(socialSecurity);
    }

    /**
     * 批量删除个人视图社保信息
     * 
     * @param ids 需要删除的个人视图社保信息主键
     * @return 结果
     */
    @Override
    public int deleteSocialSecurityByIds(Long[] ids)
    {
        return socialSecurityMapper.deleteSocialSecurityByIds(ids);
    }

    /**
     * 删除个人视图社保信息信息
     * 
     * @param id 个人视图社保信息主键
     * @return 结果
     */
    @Override
    public int deleteSocialSecurityById(Long id)
    {
        return socialSecurityMapper.deleteSocialSecurityById(id);
    }
}
